=== tests/valgrind/Makefile ===
.POSIX:
# AUTOGENERATED FILE, DO NOT EDIT
PROG=potential-memleaks
MAN1=
SRCS=potential-memleaks.c
IDIRS=
LDADD_REQ=

all:	${PROG}

clean:
	rm -f ${PROG} ${SRCS:.c=.o}

${PROG}:${SRCS:.c=.o}
	${CC} -o ${PROG} ${SRCS:.c=.o} ${LDADD_EXTRA} ${LDADD_REQ} ${LDADD_POSIX}

potential-memleaks.o: potential-memleaks.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c potential-memleaks.c -o potential-memleaks.o
