=== debian/changelog ===
spiped (1.6.0-5) unstable; urgency=medium

  * Switch to a DEP-14 debian/master branch.
  * Use the test-name autopkgtest feature.

 -- Peter Pentchev <roam@debian.org>  Wed, 27 Feb 2019 14:23:46 +0200

spiped (1.6.0-4) unstable; urgency=medium

  * Bring up to compliance with Debian Policy 4.3.0: install the upstream
    release notes (CHANGELOG) as NEWS and not changelog.
  * Drop the Lintian overrides related to B-D: debhelper-compat -
    Lintian 2.5.98 no longer emits these warnings and errors.
  * Bump the debhelper compatibility version to 12 with no changes.
  * Add the year 2019 to my debian/* copyright notice.
  * Move away from git-dpm.
  * Add a trivial git-buildpackage config file.
  * Remove the quotes around pgpmode=none in the watch file.

 -- Peter Pentchev <roam@debian.org>  Wed, 16 Jan 2019 14:00:04 +0200

spiped (1.6.0-3) unstable; urgency=medium

  * Build-depend on debhelper 11 now that it's out and use the new
    B-D: debhelper-compat (= 11) mechanism.
  * Declare compliance with Debian Policy 4.1.4 with no changes.
  * Add the year 2018 to my debian/* copyright notice.
  * Use my Debian e-mail address.
  * Add a trivial autopkgtest running adequate on the installed package.
  * Add procps to the build dependencies since ps(1) is used in the tests.

 -- Peter Pentchev <roam@debian.org>  Sun, 03 Jun 2018 04:05:55 +0300

spiped (1.6.0-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.1 with no changes.
  * Add "Rules-Requires-Root: no" to the source control stanza and
    drop the "-o root -g root" install(1) arguments.
  * Let dpkg-buildflags take care of the LFS compiler and linker flags.
  * Switch to git-dpm and rename the patches.

 -- Peter Pentchev <roam@ringlet.net>  Sun, 12 Nov 2017 02:10:11 +0200

spiped (1.6.0-1) unstable; urgency=medium

  * Use single quotes around strings expanded by make, not by the shell,
    in the rules file.
  * If the non-standard "werror" build option is specified, do not error
    out on certain harmless (in these specific cases) warnings.
  * Update the package for compliance with Debian Policy 4.1.0:
    - drop the implied "Testsuite: autopkgtest" source control field
  * Bump the debhelper compatibility level to 11 and the build dependency
    to 10.8~.
  * New upstream version:
    - drop the 05-mkdir-p, 06-manpage-version, and 09-typos patches,
      integrated upstream
    - update the rest of the patches
    - update the upstream copyright years

 -- Peter Pentchev <roam@ringlet.net>  Wed, 27 Sep 2017 17:27:47 +0300

spiped (1.5.0-2) unstable; urgency=medium

  * Bump the debhelper compatibility level to 10 and drop "--parallel"
    from the dh invocation.
  * Use the HTTPS scheme for various Debian and upstream URLs.
  * Bump the year on my debian/* copyright notice.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 09 Jan 2017 22:46:42 +0200
