=== debian/tests/control ===
Tests: simple
Depends: @, netcat-traditional, perl

Test-Command: adequate spiped
Depends: @, adequate
Features: test-name=adequate
